/* Add here all your CSS customizations */

/******Map Buttons***********/

cli.toolbox-button
{
    -moz-border-radius: 5px;
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #808080 #808080 #808080;
    -moz-box-shadow: 0 0 1px rgba(0, 0, 0, 0.3), 0 1px 0 rgba(255, 255, 255, 0.3) inset;
    -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, 0.3), 0 1px 0 rgba(255, 255, 255, 0.3) inset;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.3), 0 1px 0 rgba(255, 255, 255, 0.3) inset;
    font: bold 14px Arial, Helvetica;
    text-shadow: 0 1px 0 rgba(255,255,255,0.5);
}

.Button
{
    float: left;
    height: auto;
    color: #23441e;
    font-size: large;
    font-weight: 500;
    margin-top: 19px;
    padding: 2px 2px 0px 2px;
    margin-left: 5px;
    position: relative;
    cursor: pointer;
    width: auto;
    -moz-border-radius: 5px;
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #808080 #808080 #808080;
    -moz-box-shadow: 0 0 1px rgba(0, 0, 0, 0.3), 0 1px 0 rgba(255, 255, 255, 0.3) inset;
    -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, 0.3), 0 1px 0 rgba(255, 255, 255, 0.3) inset;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.3), 0 1px 0 rgba(255, 255, 255, 0.3) inset;
}
.Button:hover
{
    background: #9a9a9a;
    background-image: -moz-linear-gradient(#a6a6a6, #9a9a9a);
    background-image: -webkit-gradient(linear,left bottom,left top,color-stop(0, #9a9a9a),color-stop(1, #a6a6a6));
}


/*Poll Vehicle Button Style*/
.state-Poll_Vehicle{
  color: green;
}


.state-Stop_Polling_Vehicle{
  color: red;
}

/*Map Labels Style*/
.state-Show_Labels{
  color: green;
}


.state-Hide_Labels{
  color: red;
}

.state-get_center{
  color: darkblue;
}


.jstree-clicked
{
    color: #ffffff !important;
}

.jstree-default .jstree-clicked {
    background-color: black;
    color: black;
}


.online-user{
  color: green;
}


.offline-user{
  color:slategray;
}

/*/*-------- History PlayBack Control ---------* /


footer.lp {
  position: fixed;
  /*right: 23%;* /
  margin-left: 30%;
  left: 0;
  bottom: 10px;
  z-index: 9999999;
}

.lp .transport {
  margin: 0 auto;
  width:768px;
}

.lp .navbar {
  margin-bottom: 0;
}

.lp .navbar-inner {
  padding-right: 0;
  padding-left: 0;
}

.lp #play-pause {
  width: 18px;
}

.lp #speed-btn {
  width: 58px;
}

.lp .ui-slider {
  margin: 13px;
}

.lp #time-slider {
  width:370px;
}

.lp #calendar {
  margin: 5px;
}

.leaflet-control-layers-list {
  margin-bottom: 0;
}

.lp .speed-menu {
  min-width: 60px;
}

.lp .dropdown-menu {
  padding: 5px;
  text-align: center;
}

.lp #speed-slider {
  margin-left: auto;
  margin-right: auto;
}

.lp .navbar .btn,
.lp .navbar .btn-group {
  margin-top: 0;
  padding: 0;
}

.lp .navbar .nav > li > a.clock {
  padding: 0 3px 0 3px;
  text-align: center;
  margin-left:4px;
  margin-right:4px;
}

.lp li.ctrl {
  background-color: #f5f5f5;
  *background-color: #e6e6e6;
  background-image: -ms-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
  background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
  background-repeat: repeat-x;
  border-right: 1px solid #d4d4d4;

  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
     -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
          box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
}

.lp .pull-right li.ctrl {
  border-right: 0;
  border-left: 1px solid #d4d4d4;
}

.lp li.ctrl:hover {
  color: #333333;
  text-decoration: none;
  background-color: #e6e6e6;
  *background-color: #d9d9d9;
  /* Buttons in IE7 don't get borders, so darken on hover * /

  background-position: 0 -15px;
  -webkit-transition: background-position 0.1s linear;
     -moz-transition: background-position 0.1s linear;
      -ms-transition: background-position 0.1s linear;
       -o-transition: background-position 0.1s linear;
          transition: background-position 0.1s linear;
}

/*.lp li.ctrl:hover a {
  color: #a9ff00;
}* /

.lp li.ctrl:active {
  background-color: #e6e6e6;
  background-color: #d9d9d9 \9;
  background-image: none;
  outline: 0;
  -webkit-box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.15), 0 1px 2px rgba(0, 0, 0, 0.05);
     -moz-box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.15), 0 1px 2px rgba(0, 0, 0, 0.05);
          box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.15), 0 1px 2px rgba(0, 0, 0, 0.05);
}

/*Bootstrap interfering with leaflet* /
input {
  vertical-align: baseline;
}

label {
  font-weight: bold;
}

/*bootstrap mod* /
.navbar .nav { margin: 0; }

.navbar .nav > li > .dropdown-menu:before,
.bootstrap-timepicker-widget.dropdown-menu:before {
  top: auto;
  bottom: -7px;
  border-top: 7px solid #ccc;
  border-bottom: 0;
  border-top-color: rgba(0, 0, 0, 0.2);
}

.navbar .nav > li > .dropdown-menu:after,
.bootstrap-timepicker-widget.dropdown-menu:after {
  top: auto;
  bottom: -6px;
  border-top: 6px solid #ffffff;
  border-bottom: 0;
}

.datetimeControl p {
        margin: 0;
        font-size: 16px;
    }


.data-trips-first-row:hover, .data-trips:hover{
background: #e9f20c; /* make this whatever you want
} */


/*********************For Slider Issue************************************** /
.nav2{margin-left:0 !important !important;margin-bottom:20px !important;list-style:none !important;}
.nav2-pills>.active>a>[class^="icon-"],.nav2-pills>.active>a>[class*=" icon-"],.nav2-list>.active>a>[class^="icon-"],.nav2-list>.active>a>[class*=" icon-"],.navbar2-inverse .nav2>.active>a>[class^="icon-"],.navbar2-inverse .nav2>.active>a>[class*=" icon-"],.dropdown-menu2>li>a:hover>[class^="icon-"],.dropdown-menu2>li>a:focus>[class^="icon-"],.dropdown-menu2>li>a:hover>[class*=" icon-"],.dropdown-menu2>li>a:focus>[class*=" icon-"],.dropdown-menu2>.active>a>[class^="icon-"],.dropdown-menu2>.active>a>[class*=" icon-"],.dropdown-submenu:hover>a>[class^="icon-"],.dropdown-submenu:focus>a>[class^="icon-"],.dropdown-submenu:hover>a>[class*=" icon-"],.dropdown-submenu:focus>a>[class*=" icon-"]{background-image:url("../img/glyphicons-halflings-white.png") !important;}



.navbar2{overflow:visible !important;margin-bottom:20px !important;*position:relative !important;*z-index:2 !important;}
.navbar-inner2{min-height:40px !important;padding-left:20px !important;padding-right:20px !important;background-color:#fafafa !important;background-image:-moz-linear-gradient(top, #ffffff, #f2f2f2) !important;background-image:-webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#f2f2f2)) !important;background-image:-webkit-linear-gradient(top, #ffffff, #f2f2f2) !important;background-image:-o-linear-gradient(top, #ffffff, #f2f2f2) !important;background-image:linear-gradient(to bottom, #ffffff, #f2f2f2) !important;background-repeat:repeat-x !important;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff2f2f2', GradientType=0) !important;border:1px solid #d4d4d4 !important;-webkit-border-radius:4px !important;-moz-border-radius:4px !important;border-radius:4px !important;-webkit-box-shadow:0 1px 4px rgba(0, 0, 0, 0.065) !important;-moz-box-shadow:0 1px 4px rgba(0, 0, 0, 0.065) !important;box-shadow:0 1px 4px rgba(0, 0, 0, 0.065) !important;*zoom:1 !important;}.navbar-inner2:before,.navbar-inner2:after{display:table !important;content:"" !important;line-height:0 !important;}
.navbar-inner2:after{clear:both !important;}


.navbar-inner2{-webkit-border-radius:0 !important;-moz-border-radius:0 !important;border-radius:0 !important;}

.navbar2-fixed-top .navbar-inner2,.navbar2-static-top .navbar-inner2{border-width:0 0 1px !important;}
.navbar2-fixed-bottom .navbar-inner2{border-width:1px 0 0 !important;}
.navbar2-fixed-top .navbar-inner2,.navbar2-fixed-bottom .navbar-inner2{padding-left:0 !important;padding-right:0 !important;-webkit-border-radius:0 !important;-moz-border-radius:0 !important;border-radius:0 !important;}
.navbar2-fixed-top .navbar-inner2,.navbar2-static-top .navbar-inner2{-webkit-box-shadow:0 1px 10px rgba(0,0,0,.1) !important;-moz-box-shadow:0 1px 10px rgba(0,0,0,.1) !important;box-shadow:0 1px 10px rgba(0,0,0,.1) !important;}
.navbar2-fixed-bottom{bottom:0 !important;}.navbar2-fixed-bottom .navbar-inner2{-webkit-box-shadow:0 -1px 10px rgba(0,0,0,.1) !important;-moz-box-shadow:0 -1px 10px rgba(0,0,0,.1) !important;box-shadow:0 -1px 10px rgba(0,0,0,.1) !important;}


.dropdown-menu2,.input-prepend .dropdown-menu2,.input-append2 .popover,.input-prepend .popover{font-size:14px !important;}
.dropdown-menu2{font-size:14px !important;}
.nav2-tabs .dropdown-menu2{-webkit-border-radius:0 0 6px 6px !important;-moz-border-radius:0 0 6px 6px !important;border-radius:0 0 6px 6px !important;}
.nav2-pills .dropdown-menu2{-webkit-border-radius:6px !important;-moz-border-radius:6px !important;border-radius:6px !important;}

.navbar2 .nav2>li>.dropdown-menu2:before{content:'' !important;display:inline-block !important;border-left:7px solid transparent !important;border-right:7px solid transparent !important;border-bottom:7px solid #ccc !important;border-bottom-color:rgba(0, 0, 0, 0.2) !important;position:absolute !important;top:-7px !important;left:9px !important;}
.navbar2 .nav2>li>.dropdown-menu2:after{content:'' !important;display:inline-block !important;border-left:6px solid transparent !important;border-right:6px solid transparent !important;border-bottom:6px solid #ffffff !important;position:absolute !important;top:-6px !important;left:10px !important;}
.navbar2-fixed-bottom .nav2>li>.dropdown-menu2:before{border-top:7px solid #ccc !important;border-top-color:rgba(0, 0, 0, 0.2) !important;border-bottom:0 !important;bottom:-7px !important;top:auto !important;}
.navbar2-fixed-bottom .nav2>li>.dropdown-menu2:after{border-top:6px solid #ffffff !important;border-bottom:0 !important;bottom:-6px !important;top:auto !important;}
.navbar2 .pull-right>li>.dropdown-menu2,.navbar2 .nav2>li>.dropdown-menu2.pull-right{left:auto !important;right:0 !important;}.navbar2 .pull-right>li>.dropdown-menu2:before,.navbar2 .nav2>li>.dropdown-menu2.pull-right:before{left:auto !important;right:12px !important;}
.navbar2 .pull-right>li>.dropdown-menu2:after,.navbar2 .nav2>li>.dropdown-menu2.pull-right:after{left:auto !important;right:13px !important;}
.navbar2 .pull-right>li>.dropdown-menu2 .dropdown-menu2,.navbar2 .nav2>li>.dropdown-menu2.pull-right .dropdown-menu2{left:auto !important;right:100% !important;margin-left:0 !important;margin-right:-1px !important;-webkit-border-radius:6px 0 6px 6px !important;-moz-border-radius:6px 0 6px 6px !important;border-radius:6px 0 6px 6px !important;}

.dropdown-menu2{position:absolute !important;top:100% !important;left:0 !important;z-index:1000 !important;display:none !important;float:left !important;min-width:160px !important;padding:5px 0 !important;margin:2px 0 0 !important;list-style:none !important;background-color:#ffffff !important;border:1px solid #ccc !important;border:1px solid rgba(0, 0, 0, 0.2) !important;*border-right-width:2px !important;*border-bottom-width:2px !important;-webkit-border-radius:6px !important;-moz-border-radius:6px !important;border-radius:6px !important;-webkit-box-shadow:0 5px 10px rgba(0, 0, 0, 0.2) !important;-moz-box-shadow:0 5px 10px rgba(0, 0, 0, 0.2) !important;box-shadow:0 5px 10px rgba(0, 0, 0, 0.2) !important;-webkit-background-clip:padding-box !important;-moz-background-clip:padding !important;background-clip:padding-box !important;}.dropdown-menu2.pull-right{right:0 !important;left:auto !important;}
.dropdown-menu2 .divider{*width:100% !important;height:1px !important;margin:9px 1px !important;*margin:-5px 0 5px !important;overflow:hidden !important;background-color:#e5e5e5 !important;border-bottom:1px solid #ffffff !important;}
.dropdown-menu2>li>a{display:block !important;padding:3px 20px !important;clear:both !important;font-weight:normal !important;line-height:20px !important;color:#333333 !important;white-space:nowrap !important;}
.dropdown-menu2>li>a:hover,.dropdown-menu2>li>a:focus,.dropdown-submenu:hover>a,.dropdown-submenu:focus>a{text-decoration:none !important;color:#ffffff !important;background-color:#0081c2 !important;background-image:-moz-linear-gradient(top, #0088cc, #0077b3) !important;background-image:-webkit-gradient(linear, 0 0, 0 100%, from(#0088cc), to(#0077b3)) !important;background-image:-webkit-linear-gradient(top, #0088cc, #0077b3) !important;background-image:-o-linear-gradient(top, #0088cc, #0077b3) !important;background-image:linear-gradient(to bottom, #0088cc, #0077b3) !important;background-repeat:repeat-x !important;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc', endColorstr='#ff0077b3', GradientType=0) !important;}
.dropdown-menu2>.active>a,.dropdown-menu2>.active>a:hover,.dropdown-menu2>.active>a:focus{color:#ffffff !important;text-decoration:none !important;outline:0 !important;background-color:#0081c2 !important;background-image:-moz-linear-gradient(top, #0088cc, #0077b3) !important;background-image:-webkit-gradient(linear, 0 0, 0 100%, from(#0088cc), to(#0077b3)) !important;background-image:-webkit-linear-gradient(top, #0088cc, #0077b3) !important;background-image:-o-linear-gradient(top, #0088cc, #0077b3) !important;background-image:linear-gradient(to bottom, #0088cc, #0077b3) !important;background-repeat:repeat-x !important;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc', endColorstr='#ff0077b3', GradientType=0) !important;}
.dropdown-menu2>.disabled>a,.dropdown-menu2>.disabled>a:hover,.dropdown-menu2>.disabled>a:focus{color:#999999 !important;}
.dropdown-menu2>.disabled>a:hover,.dropdown-menu2>.disabled>a:focus{text-decoration:none !important;background-color:transparent !important;background-image:none !important;filter:progid:DXImageTransform.Microsoft.gradient(enabled = false) !important;cursor:default !important;}
.open{*z-index:1000 !important;}.open>.dropdown-menu2{display:block !important;}
.pull-right>.dropdown-menu2{right:0 !important;left:auto !important;}
.dropup .dropdown-menu2,.navbar2-fixed-bottom .dropdown .dropdown-menu2{top:auto !important;bottom:100% !important;margin-bottom:1px !important;}
.dropdown-submenu>.dropdown-menu2{top:0 !important;left:100% !important;margin-top:-6px !important;margin-left:-1px !important;-webkit-border-radius:0 6px 6px 6px !important;-moz-border-radius:0 6px 6px 6px !important;border-radius:0 6px 6px 6px !important;}
.dropdown-submenu:hover>.dropdown-menu2{display:block !important;}
.dropup .dropdown-submenu>.dropdown-menu2{top:auto !important;bottom:0 !important;margin-top:0 !important;margin-bottom:-2px !important;-webkit-border-radius:5px 5px 5px 0 !important;-moz-border-radius:5px 5px 5px 0 !important;border-radius:5px 5px 5px 0 !important;}
.dropdown-submenu.pull-left{float:none !important;}.dropdown-submenu.pull-left>.dropdown-menu2{left:-100% !important;margin-left:10px !important;-webkit-border-radius:6px 0 6px 6px !important;-moz-border-radius:6px 0 6px 6px !important;border-radius:6px 0 6px 6px !important;}
.dropdown .dropdown-menu2 .nav2-header{padding-left:20px !important;padding-right:20px !important;}
.dropdown-menu2 a{padding:9px 15px !important;font-weight:bold !important;color:#777777 !important;-webkit-border-radius:3px !important;-moz-border-radius:3px !important;border-radius:3px !important;} .nav2-collapse .btn{padding:4px 10px 4px !important;font-weight:normal !important;-webkit-border-radius:4px !important;-moz-border-radius:4px !important;border-radius:4px !important;} .nav2-collapse .dropdown-menu2 li+li a{margin-bottom:2px !important;} .nav2-collapse .nav2>li>a:hover,.nav2-collapse .nav2>li>a:focus,.nav2-collapse .dropdown-menu2 a:hover,.nav2-collapse .dropdown-menu2 a:focus{background-color:#f2f2f2 !important;} .navbar2-inverse .nav2-collapse .nav2>li>a,.navbar2-inverse .nav2-collapse .dropdown-menu2 a{color:#999999 !important;} .navbar2-inverse .nav2-collapse .nav2>li>a:hover,.navbar2-inverse .nav2-collapse .nav2>li>a:focus,.navbar2-inverse .nav2-collapse .dropdown-menu2 a:hover,.navbar2-inverse .nav2-collapse .dropdown-menu2 a:focus{background-color:#111111 !important;} .nav2-collapse.in .btn-group{margin-top:5px !important;padding:0 !important;} .nav2-collapse .dropdown-menu2{position:static !important;top:auto !important;left:auto !important;float:none !important;display:none !important;max-width:none !important;margin:0 15px !important;padding:0 !important;background-color:transparent !important;border:none !important;-webkit-border-radius:0 !important;-moz-border-radius:0 !important;border-radius:0 !important;-webkit-box-shadow:none !important;-moz-box-shadow:none !important;box-shadow:none !important;} .nav2-collapse .open>.dropdown-menu2{display:block !important;} .nav2-collapse .dropdown-menu2:before,.nav2-collapse .dropdown-menu2:after{display:none !important;} .nav2-collapse .dropdown-menu2 .divider{display:none !important;} .nav2-collapse .nav2>li>.dropdown-menu2:before,.nav2-collapse .nav2>li>.dropdown-menu2:after{display:none !important;} .nav2-collapse .navbar2-form,.nav2-collapse .navbar2-search{float:none !important;padding:10px 15px !important;margin:10px 0 !important;border-top:1px solid #f2f2f2 !important;border-bottom:1px solid #f2f2f2 !important;-webkit-box-shadow:inset 0 1px 0 rgba(255,255,255,.1), 0 1px 0 rgba(255,255,255,.1) !important;-moz-box-shadow:inset 0 1px 0 rgba(255,255,255,.1), 0 1px 0 rgba(255,255,255,.1) !important;box-shadow:inset 0 1px 0 rgba(255,255,255,.1), 0 1px 0 rgba(255,255,255,.1) !important;}


.control-group.warning .input-prepend .add-on,.control-group.warning .input-append2 .add-on{color:#c09853 !important;background-color:#fcf8e3 !important;border-color:#c09853 !important;}
.control-group.error .input-prepend .add-on,.control-group.error .input-append2 .add-on{color:#b94a48 !important;background-color:#f2dede !important;border-color:#b94a48 !important;}
.control-group.success .input-prepend .add-on,.control-group.success .input-append2 .add-on{color:#468847 !important;background-color:#dff0d8 !important;border-color:#468847 !important;}
.input-append2,.input-prepend{display:inline-block !important;margin-bottom:10px !important;vertical-align:middle !important;font-size:0 !important;white-space:nowrap !important;}.input-append2 input,.input-prepend input,.input-append2 select,.input-prepend select,.input-append2 .uneditable-input,.input-prepend .uneditable-input,.input-append2 .dropdown-menu2,.input-prepend .dropdown-menu2,.input-append2 .popover,.input-prepend .popover{font-size:14px !important;}
.input-append2 input,.input-prepend input,.input-append2 select,.input-prepend select,.input-append2 .uneditable-input,.input-prepend .uneditable-input{position:relative !important;margin-bottom:0 !important;*margin-left:0 !important;vertical-align:top !important;-webkit-border-radius:0 4px 4px 0 !important;-moz-border-radius:0 4px 4px 0 !important;border-radius:0 4px 4px 0 !important;}.input-append2 input:focus,.input-prepend input:focus,.input-append2 select:focus,.input-prepend select:focus,.input-append2 .uneditable-input:focus,.input-prepend .uneditable-input:focus{z-index:2 !important;}
.input-append2 .add-on,.input-prepend .add-on{display:inline-block !important;width:auto !important;height:20px !important;min-width:16px !important;padding:4px 5px !important;font-size:14px !important;font-weight:normal !important;line-height:20px !important;text-align:center !important;text-shadow:0 1px 0 #ffffff !important;background-color:#eeeeee !important;border:1px solid #ccc !important;}
.input-append2 .add-on,.input-prepend .add-on,.input-append2 .btn,.input-prepend .btn,.input-append2 .btn-group>.dropdown-toggle,.input-prepend .btn-group>.dropdown-toggle{vertical-align:top !important;-webkit-border-radius:0 !important;-moz-border-radius:0 !important;border-radius:0 !important;}
.input-append2 .active,.input-prepend .active{background-color:#a9dba9 !important;border-color:#46a546 !important;}


.input-append2 input,.input-append2 select,.input-append2 .uneditable-input{-webkit-border-radius:4px 0 0 4px !important;-moz-border-radius:4px 0 0 4px !important;border-radius:4px 0 0 4px !important;}.input-append2 input+.btn-group .btn:last-child,.input-append2 select+.btn-group .btn:last-child,.input-append2 .uneditable-input+.btn-group .btn:last-child{-webkit-border-radius:0 4px 4px 0 !important;-moz-border-radius:0 4px 4px 0 !important;border-radius:0 4px 4px 0 !important;}
.input-append2 .add-on,.input-append2 .btn,.input-append2 .btn-group{margin-left:-1px !important;}
.input-append2 .add-on:last-child,.input-append2 .btn:last-child,.input-append2 .btn-group:last-child>.dropdown-toggle{-webkit-border-radius:0 4px 4px 0 !important;-moz-border-radius:0 4px 4px 0 !important;border-radius:0 4px 4px 0 !important;}
.input-prepend.input-append2 input,.input-prepend.input-append2 select,.input-prepend.input-append2 .uneditable-input{-webkit-border-radius:0 !important;-moz-border-radius:0 !important;border-radius:0 !important;}.input-prepend.input-append2 input+.btn-group .btn,.input-prepend.input-append2 select+.btn-group .btn,.input-prepend.input-append2 .uneditable-input+.btn-group .btn{-webkit-border-radius:0 4px 4px 0 !important;-moz-border-radius:0 4px 4px 0 !important;border-radius:0 4px 4px 0 !important;}
.input-prepend.input-append2 .add-on:first-child,.input-prepend.input-append2 .btn:first-child{margin-right:-1px !important;-webkit-border-radius:4px 0 0 4px !important;-moz-border-radius:4px 0 0 4px !important;border-radius:4px 0 0 4px !important;}
.input-prepend.input-append2 .add-on:last-child,.input-prepend.input-append2 .btn:last-child{margin-left:-1px !important;-webkit-border-radius:0 4px 4px 0 !important;-moz-border-radius:0 4px 4px 0 !important;border-radius:0 4px 4px 0 !important;}
.input-prepend.input-append2 .btn-group:first-child{margin-left:0 !important;}
.form-search .input-append2 .search-query,.form-search .input-prepend .search-query{-webkit-border-radius:0 !important;-moz-border-radius:0 !important;border-radius:0 !important;}
.form-search .input-append2 .search-query{-webkit-border-radius:14px 0 0 14px !important;-moz-border-radius:14px 0 0 14px !important;border-radius:14px 0 0 14px !important;}
.form-search .input-append2 .btn{-webkit-border-radius:0 14px 14px 0 !important;-moz-border-radius:0 14px 14px 0 !important;border-radius:0 14px 14px 0 !important;}

.uneditable-input,.form-search .input-prepend,.form-inline .input-prepend,.form-horizontal .input-prepend,.form-search .input-append2,.form-inline .input-append2,.form-horizontal .input-append2{display:inline-block !important;*display:inline !important;*zoom:1 !important;margin-bottom:0 !important;vertical-align:middle !important;}
.form-search .input-append2,.form-inline .input-append2,.form-search .input-prepend,.form-inline .input-prepend{margin-bottom:0 !important;}
.form-horizontal input+.help-block,.form-horizontal select+.help-block,.form-horizontal textarea+.help-block,.form-horizontal .uneditable-input+.help-block,.form-horizontal .input-prepend+.help-block,.form-horizontal .input-append2+.help-block{margin-top:10px !important;}

.navbar2 .btn-group .btn,.navbar2 .input-prepend .btn,.navbar2 .input-append2 .btn,.navbar2 .input-prepend .btn-group,.navbar2 .input-append2 .btn-group{margin-top:0 !important;}
.navbar2-form .input-append2,.navbar2-form .input-prepend{margin-top:5px !important;white-space:nowrap !important;}.navbar2-form .input-append2 input,.navbar2-form .input-prepend input{margin-top:0 !important;}
.input-prepend input,.input-append2 input,.input-prepend input[class*="span"],.input-append2 input[class*="span"]{display:inline-block !important;width:auto !important;}

.input-small{width:90px !important;}



.span2{width:140px !important;}
.row-fluid .span2{width:14.893617021276595% !important;*width:14.840425531914894% !important;}
.table td.span2,.table th.span2{float:none !important;width:124px !important;margin-left:0 !important;}
input.span2,textarea.span2,.uneditable-input.span2{width:126px !important;}
.span2{width:104px !important;} 
.row-fluid .span2{width:14.3646408839779% !important;*width:14.311449394616199% !important;}
input.span2,textarea.span2,.uneditable-input.span2{width:90px !important;} 
.span2{width:170px !important;} 
.row-fluid .span2{width:14.52991452991453% !important;*width:14.476723040552828% !important;}
input.span2,textarea.span2,.uneditable-input.span2{width:156px !important;}




.pull-right,.row-fluid [class*="span"].pull-right{float:right !important;}
blockquote.pull-right{float:right !important;padding-right:15px !important;padding-left:0 !important;border-right:5px solid #eeeeee !important;border-left:0 !important;}blockquote.pull-right p,blockquote.pull-right small{text-align:right !important;}
blockquote.pull-right small:before{content:'' !important;}
blockquote.pull-right small:after{content:'\00A0 \2014' !important;}
.nav2>.pull-right{float:right !important;}
.navbar2 .nav2.pull-right{float:right !important;margin-right:0 !important;}
.navbar2 .pull-right>li>.dropdown-menu2,.navbar2 .nav2>li>.dropdown-menu2.pull-right{left:auto !important;right:0 !important;}.navbar2 .pull-right>li>.dropdown-menu2:before,.navbar2 .nav2>li>.dropdown-menu2.pull-right:before{left:auto !important;right:12px !important;}
.navbar2 .pull-right>li>.dropdown-menu2:after,.navbar2 .nav2>li>.dropdown-menu2.pull-right:after{left:auto !important;right:13px !important;}
.navbar2 .pull-right>li>.dropdown-menu2 .dropdown-menu2,.navbar2 .nav2>li>.dropdown-menu2.pull-right .dropdown-menu2{left:auto !important;right:100% !important;margin-left:0 !important;margin-right:-1px !important;-webkit-border-radius:6px 0 6px 6px !important;-moz-border-radius:6px 0 6px 6px !important;border-radius:6px 0 6px 6px !important;}

.media>.pull-right{margin-left:10px !important;}
.dropdown-menu2.pull-right{right:0 !important;left:auto !important;}
.pull-right>.dropdown-menu2{right:0 !important;left:auto !important;}
.pull-right{float:right !important;}
.media .pull-left,.media .pull-right{float:none !important;display:block !important;margin-bottom:10px !important;}
.navbar2 .nav2-collapse .nav2.pull-right{float:none !important;margin-left:0 !important;}*/




.top-buffer { margin-top:20px; }


/*css for Leaflet.PolylineMeasure Distance measure on google amp in meters or KM*/
.polyline-measure-tooltip {
	font: 10px Arial, Helvetica, sans-serif;
    line-height: 10px;
	background-color: rgba(255, 255, 170, 0.7);
    border-radius: 3px;
	box-shadow: 1px 1px 4px #888;
	margin: 0;
	padding: 2px;
	width: auto !important;
	height: auto !important;
	white-space: nowrap;
    text-align: right;
}

.polyline-measure-tooltip-end {
	background-color: rgba(255, 255, 70, 0.7);
}

.polyline-measure-tooltip-total {
	color: #006;
    font-weight: bold;
}

.polyline-measure-tooltip-difference {
	color: #060;
}

.polyline-measure-unicode-icon {
	font-size: 19px;
	font-weight: bold;
}
.leaflet-control {
	cursor: pointer;
}

a.polyline-measure-clearControl:active {
	background-color: #f88;
}
/*Over here Leaflet.PolylineMeasure css*/

.nano-pane {
    width: 10px !important;
}

.pointer {
    cursor: pointer;
}

.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus {
	background-color: #dfdfdf !important;
	color: #373737 !important;
}


/*.leaflet-popup, .leaflet-popup-content
.leaflet-popup-content-wrapper {
    width: 850px !important;
}*/



/**CG API style 16-11-2017*/

/*.widget-shadow {
    background-color: #fff;
    box-shadow: 0 -1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
	-webkit-box-shadow: 0 -1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
	-moz-box-shadow: 0 -1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
    /*width: 40%;* /
    margin: 0 auto;
}

div#page-wrapper {
    margin: 0 0 0 19.3em;
	transition:.5s all;
	-webkit-transition:.5s all;
	-moz-transition:.5s all;
}

.txt{padding: 1em 3em 1em 2em;}*/

    #leftTaskPanel, #mapDiv
    {
        max-height: 100vh;
        overflow-y:auto; /*scroll;*/
        overflow-x: hidden;
    }

    /*<footer class="footer center" style="
    background-color: #363563;
    padding-top: 10px;
    padding-bottom: 10px;
">
                    <p>© 2018 - Sigma | Powered by Tracking World Pvt. Ltd. (DSPL)</p>
                </footer>*/
}